/***************************************************************************
@
@       PROJECT         : XB: General Sortation System
@
@       FILE            : MOVECELL.H
@
@       VERSION         : 1.0
@
@       TYPE            : INCLUDE
@
@
@       DESCRIPTION     : Job global defines
@
@       COMPILER        : ic386
@
@       OPERATING SYSTEM: iRMX for Windows
@
@       NOTE            : This file must be included from all the task job
@
@***************************************************************************/
/* Including all the DB used by the task of the job */

#include "xblib.h"
#include "defkey.h"

#include "scgen.h"
#include "scenc.h"
#include "scvel.h"
#include "cell.h"
#include "celcmd.h"
#include "decoder.h"
#include "chute.h"
#include "parcres.h"
#include "offlver.h"


#ifdef MAIN
/* Job mailboxes */
S_id_token  s_id_token_mbx_ccmgm        = {"MBX_D_CCMGM",0};
S_id_token  s_id_token_mbx_srldmes      = {"MBX_D_SRLDMES",0};


/* Job semaphores */
S_id_token  s_id_token_sem_sendres      = {"SEM_SENDRES",0};

#else
/* Job mailboxes */
extern S_id_token  s_id_token_mbx_ccmgm;
extern S_id_token  s_id_token_mbx_srldmes;

/* Job semaphores */
extern S_id_token  s_id_token_sem_sendres;

#endif
/*.........................................................................
@
@ Global function prototypes
@
@.......................................................................*/
/*.........................................................................
@
@ Task prototypes
@
@.......................................................................*/
void            main(void);







